import request from '@/utils/request'

export function add(data) {
	// 新增班级
	return request({
		url: '/front/busiClass',
		method: 'post',
		data
	})
}

export function update(data) {
	// 修改班级
	return request({
		url: '/front/busiClass',
		method: 'put',
		data
	})
}

export function detail(classId) {
	// 班级详情
	return request({
		url: '/front/busiClass/' + classId,
		method: 'get'
	})
}

export function deletes(classId) {
	// 删除班级
	return request({
		url: '/front/busiClass/' + classId,
		method: 'delete'
	})
}

export function exports(params) {
	// 导出业务班级列表
	return request({
		url: '/front/busiClass/export',
		method: 'get',
		params
	})
}

export function getClasses(params) {
	// 查询班级列表
	return request({
		url: '/front/busiClass/getClasses',
		method: 'get',
		params
	})
}

export function list(params) {
	// 查询业务班级列表
	return request({
		url: '/front/busiClass/list',
		method: 'get',
		params
	})
}
